Index: trunk/ab5.0/abdev/BasicCompiler32/NumOpe.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler32/NumOpe.cpp	(revision 461)
+++ trunk/ab5.0/abdev/BasicCompiler32/NumOpe.cpp	(revision 465)
@@ -59,5 +59,5 @@
 	}
 	else{
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 }
@@ -79,5 +79,5 @@
 void ExtendRegToBigType( int reg, int bigBasicType, int baseBasicType ){
 	if( reg != REG_EAX ){
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 	switch( Type::GetBasicSize( bigBasicType ) ){
@@ -190,5 +190,5 @@
 				// オブジェクトメンバのポインタをeaxにコピー
 				if( !VarToReg( tempRelativeVar, baseType, resultType ) ){
-					SetError(11,termFull,cp);
+					compiler.errorMessenger.Output(11,termFull,cp);
 				}
 
@@ -224,5 +224,5 @@
 			if( !leftType.IsStruct() )
 			{
-				SetError();
+				compiler.errorMessenger.OutputFatalError();
 			}
 
@@ -332,5 +332,5 @@
 	{
 		// 関数ポインタ
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 
 		///////////////////////////////////////////////////////////////////
@@ -342,5 +342,5 @@
 	}
 
-	SetError();
+	compiler.errorMessenger.OutputFatalError();
 
 	return false;
@@ -400,5 +400,5 @@
 			if( isProcedureCallOnly )
 			{
-				SetError(1,NULL,cp);
+				compiler.errorMessenger.Output(1,NULL,cp);
 			}
 			return false;
@@ -432,5 +432,5 @@
 		if( compiler.pCompilingClass == NULL )
 		{
-			SetError(142,NULL,cp);
+			compiler.errorMessenger.Output(142,NULL,cp);
 			return false;
 		}
@@ -465,5 +465,5 @@
 			{
 				//閉じカッコ")"に続く文字がNULLでないとき
-				SetError(42,NULL,cp);
+				compiler.errorMessenger.Output(42,NULL,cp);
 			}
 
@@ -525,5 +525,5 @@
 
 				//閉じカッコ")"に続く文字がNULLでないときはエラーにする
-				if(termFull[i2+1+i4+1]!='\0') SetError(42,NULL,cp);
+				if(termFull[i2+1+i4+1]!='\0') compiler.errorMessenger.Output(42,NULL,cp);
 
 				//マクロ関数の場合
@@ -629,5 +629,5 @@
 	if( isProcedureCallOnly )
 	{
-		SetError(3, termLeft, cp );
+		compiler.errorMessenger.Output(3, termLeft, cp );
 	}
 
@@ -645,5 +645,5 @@
 		// 変数の場合はeaxに変数ポインタを格納する
 		if( !VarToReg( relativeVar, baseType, resultType ) ){
-			SetError(11,term,cp);
+			compiler.errorMessenger.Output(11,term,cp);
 		}
 	}
@@ -658,5 +658,5 @@
 	if( !isVariable )
 	{
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 
@@ -678,5 +678,5 @@
 	if( reg != REG_EAX ){
 		// TODO: 未実装
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 
@@ -708,5 +708,5 @@
 
 	if(expression[0]=='\0'){
-		SetError(1,NULL,cp);
+		compiler.errorMessenger.Output(1,NULL,cp);
 		return false;
 	}
@@ -863,5 +863,5 @@
 						else GetCalcName(idCalc,temp2);
 						sprintf(temporary,"Operator %s",temp2);
-						SetError(27,temporary,cp);
+						compiler.errorMessenger.Output(27,temporary,cp);
 						goto error;
 					}
@@ -892,5 +892,5 @@
 					}
 					else{
-						SetError(3, term, cp );
+						compiler.errorMessenger.Output(3, term, cp );
 						goto error;
 					}
@@ -918,5 +918,5 @@
 						// 拡張版リテラル文字列（エスケープシーケンス可能）
 						if(!RemoveStringQuotes(term+2)){
-							SetError(43,NULL,cp);
+							compiler.errorMessenger.Output(43,NULL,cp);
 							goto error;
 						}
@@ -928,5 +928,5 @@
 						// 通常文字列
 						if(!RemoveStringQuotes(term)){
-							SetError(43,NULL,cp);
+							compiler.errorMessenger.Output(43,NULL,cp);
 							goto error;
 						}
@@ -976,5 +976,5 @@
 								}
 							}
-							SetError(38,term,cp);
+							compiler.errorMessenger.Output(38,term,cp);
 
 							goto error;
@@ -990,5 +990,5 @@
 						if( resultType.GetBasicType() & FLAG_CAST ){
 							// 型名のみ
-							SetError();
+							compiler.errorMessenger.OutputFatalError();
 						}
 						else{
@@ -1087,5 +1087,5 @@
 						}
 						else{
-							SetError(300,NULL,cp);
+							compiler.errorMessenger.Output(300,NULL,cp);
 							goto error;
 						}
@@ -1095,5 +1095,5 @@
 					//該当する識別子が見当たらないときはエラー扱いにする
 					bError=1;
-					SetError(3,term,cp);
+					compiler.errorMessenger.Output(3,term,cp);
 					type_stack[sp]=DEF_DOUBLE;
 				}
@@ -1243,5 +1243,5 @@
 				if( PTR_LEVEL( type_stack[sp-1] ) <= 0 ){
 					//ポインタ型ではないとき
-					SetError( 3, NULL, cp );
+					compiler.errorMessenger.Output( 3, NULL, cp );
 					goto error;
 				}
@@ -1252,5 +1252,5 @@
 
 			default:
-				SetError(300,NULL,cp);
+				compiler.errorMessenger.Output(300,NULL,cp);
 				goto error;
 		}
@@ -1260,5 +1260,5 @@
 
 	if(sp!=1){
-		SetError(1,NULL,cp);
+		compiler.errorMessenger.Output(1,NULL,cp);
 		goto error;
 	}
@@ -1266,5 +1266,5 @@
 	if(bLiteralCalculation){
 		//右辺値が数値の定数式の場合
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 	else{
